LWText.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWContentListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWPageSpan.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "LWParser.hxx"`
`#include "LWText.hxx"`

## Classes

struct | LWTextInternal::PLC
| Internal : the different plc types: mainly for debugging. More...
struct | LWTextInternal::Font
| Internal: struct used to store the font of a LWText. More...
struct | LWTextInternal::Paragraph
| Internal: class to store the paragraph properties. More...
struct | LWTextInternal::HFZone
| Internal: the header/footer zone of a LWText. More...
struct | LWTextInternal::State
| Internal: the state of a LWText. More...

## Namespaces

| LWTextInternal
| Internal: the structures of a LWText.

## Enumerations

enum | LWTextInternal::PLCType { LWTextInternal::P_Font, LWTextInternal::P_Font2, LWTextInternal::P_Ruler, LWTextInternal::P_Ruby, LWTextInternal::P_StyleU, LWTextInternal::P_StyleV, LWTextInternal::P_Unknown }
| the different plc type More...

## Functions

std::ostream & | LWTextInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | LWTextInternal::operator<< (std::ostream &o, Font const &font)
std::ostream & | LWTextInternal::operator<< (std::ostream &o, HFZone const &hf)